Skip to main content
`Ctrl`+`K`

# Pix2Sky_ConicPerspective

class astropy.modeling.projections.Pix2Sky_ConicPerspective(*args, **kwargs)

  Bases: `Pix2SkyProjection`, `Conic`

  Colles’ conic perspective projection - pixel to sky.

  Corresponds to the `COP` projection in FITS WCS.

  See `Conic` for a description of the entire equation.

  The projection formulae are:

  \[\begin{split}C &= \sin \theta_a \\ R_\theta &= \frac{180^\circ}{\pi} \cos \eta [ \cot \theta_a - \tan(\theta - \theta_a)] \\ Y_0 &= \frac{180^\circ}{\pi} \cos \eta \cot \theta_a\end{split}\]
  Parameters:
    sigma `python:float`

      \((\theta_1 + \theta_2) / 2\), where \(\theta_1\) and \(\theta_2\) are the latitudes of the standard parallels, in degrees. Default is 90.

    delta `python:float`

      \((\theta_1 - \theta_2) / 2\), where \(\theta_1\) and \(\theta_2\) are the latitudes of the standard parallels, in degrees. Default is 0.